from django.urls import path, include
from rest_framework.routers import DefaultRouter
from apps.opm.views import GasCheckViewSet, OperationViewSet, OplCateViewSet, OplViewSet, OplWorkerViewSet

API_BASE_URL = 'api/opm/'
HTML_BASE_URL = 'dhtml/opm/'

router = DefaultRouter()
router.register('opl_cate', OplCateViewSet, basename='opl_cate')
router.register('operation', OperationViewSet, basename='operation')
router.register('opl', OplViewSet, basename='opl')
router.register('opl_worker', OplWorkerViewSet, basename='opl_worker')
router.register('gas_check', GasCheckViewSet, basename='gas_check')
urlpatterns = [
    path(API_BASE_URL, include(router.urls)),
]